# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-dynamite
%define fedora 19
%global pkgname django-dynamite 

Name:           python-module-django-dynamite
Version:        0.4.1
Release:        alt1_6
Summary:        Dynamic models framework

Group:          Development/Python
License:        ASL 2.0
URL:            http://pypi.python.org/packages/source/d/django-dynamite/
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools

%if 0%{?fedora} >= 18
BuildRequires:  python-module-south
%else
BuildRequires:  python-module-south
%endif

%if 0%{?fedora} >= 18
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python
%else
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python
%endif
Source44: import.info


%description
This package provides a module to create dynamic models 
in django and use it in view and admin interface. Thx to 
`Will Hardy`_ for this fantastic paper `Runtime Dynamic 
Models Documentation`

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf %{pkgname}.egg-info

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}

%check
python setup.py test
 
%files
%doc
%{python_sitelibdir_noarch}/dynamite
%{python_sitelibdir_noarch}/django_dynamite-%{version}-py?.?.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_6
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_5
- initial fc import

